No puedo instalar nada amigos

Imagen de golfm
0 puntos

Hola amigos:

Tengo un severo problema. He copiado las carpetas con el pptp y pptpd al escritorio (y verificado las mismas) para instalar alguno de los dos programas. (pensando que desde las unidades de disco no me interpretaba el comando sudo desde el root). He cambiado desde el root mi direccion a la carpetas, porque he pensado que desde podria instalar el/los programas. Pues no, definitivamente no!.

Para el caso del pptp James Cameron dice en su How To:...Install PPTP Client from the ubuntu project:

          apt get install pptp-linux

Pues eso he hecho desde el root y siempre me dice lo mismo: Todo de maravillas hasta que llega la sentencia que me sentencia a muerte: No reconoce ningun paquete de instalacion con el nombre "tal" o "cual".

0 paquetes instalados, 0 paquetes renovados, etc etc etc

Y asi me pasa con todo lo que quiero instalar. La verdad estoy perdiendo la fe. He pasado todo mi periodo de vacaciones laborales tratando de adelantar y nada. Van 5 dias desde que instale el sofware y no puedo avanzar ni un poco hacia la libertad. Si alguien ha pasado por esta instancia (tecnica) ruego me indique que estoy haciendo mal.

 

Gracias a todos

Imagen de Finwe
+1
0
-1

No reconoce ningun paquete de instalacion con el nombre "tal" o "cual".

puede que ese no sea el nombre del paquete, o puede que tengas que activar algún repositorio. Lo que te dice es que en ninguo de tus repositorios está el paquete con ese nombre.

hace:

aptitude update
aptitude search pptp

para que te muestre lo que tenga que ver con pptp. Luego lo instalas con aptitude install. También lo puedes buscar e instalar desde synaptic.

Saludos.

----------
Iniciando script....
Generando backup del comentario....
Backup exitoso....
Mirar la Guía Ubuntu y las NORMAS

+1
0
-1

----------
Iniciando script....
Generando backup del comentario....
Backup exitoso....
Mirar la Guía Ubuntu y las NORMAS

Imagen de golfm
+1
0
-1

Agradezco tu comentario 

Ya he probado hacer un update pero me dice que no hay paquete "tal por cual"

Mira, lo que pienso es que estoy haciendo algun procediemiento equivocado. Me pasa con todos los paquetes de instalacion que he probado, yo todavia pienso con la logica xpiana, voy a una carpeta hago consola de comandos, entro a root con su, voy a la carpeta con CD, y luego $sudo apt-get o aptitude install paquete.

No es posible que en todos los paquetes ocurra lo mismo. Lo peor es que sin pptp o pptpd no puedo instalar internet y ello me priva del 80% de mis probabilidades de instalacion. Es dificil para un inexperto principiante (tal vez deba instalar otra distro mas simple).

+1
0
-1
Imagen de allo
+1
0
-1

tienes activados los repositorios universe y multiverse?

Para instalar programas no tienes que entrar como root con su. Simplemente abre una terminal y teclea "sudo apt-get install pptpd" (el $ no hay que escribirlo). Te pedira una contraseña, mete la de tu usuario, no la de root.

Sino también puedes hacerlo desde synaptic en modo grafico. Selecciona el paquete, lo marcas para instalar, y le das a aplicar. Acabo de mirar y en synaptic aparecen los paquetes pptpd y pptp-linux, con ese mismo nombre.

+1
0
-1
Imagen de golfm
+1
0
-1

bueno, acabo de entrar a Synaptic y no tengo nada...

Probablemente los tengas porque se han actualizado desde Internet.

He reinstalado el UBUNTU (pensando que podria haber metido mano al principio en algo que no sabia), de vuelta y es lo mismo (solo segui las instrucciones que me dieron, utilize sudo como usuario y no como super usuario.

He copiado y pegado la carpeta del programa al escritorio y he revisado el INSTALL, y he llegado hasta el punto tres de esta instruccion:

Installation Instructions - Detailed

    1.  install PPP, and make sure it is working. (esto lo verifique y esta OK)

        On most distributions, use the package called ppp or pppd.

        If your PPTP server requires MPPE, make sure the pppd program
        has been built with MPPE and MS-CHAP support.  PPP from
        version 2.4.2 onwards has this support.  PPP may require
        kernel support for MPPE, which may require patching your
        kernel.

    2.  verify that the pppd program is in the /usr/sbin/ directory. (esto tambien lo verifique)

        On some distributions, it is in /usr/bin, or somewhere else.
        If it isn't in the default directory, edit the Makefile, and
        change the PPPD variable to point at the pppd program.

        You may even want to run a separate pppd program with MPPE
        support.

    3.  compile (esto no tengo idea: compilar que?)

        Type 'make'.  This should generate the 'pptp' executable. (make: en donde? y desde que: usuario normal, root, ???)

    4.  install binaries

 Type 'make install' to have the program and the manual page
 installed. (esto idem 3)

No me voy a rendir pero tengo una dezazon...mmm

Gracias por tu ayuda

 

 

+1
0
-1
Imagen de Finwe
+1
0
-1

a ver, por parte.

bueno, acabo de entrar a Synaptic y no tengo nada...

es por que no tienes repositorios.

Probablemente los tengas porque se han actualizado desde Internet.

¿tienes o no ienes conexión a interne?t. Es importante dejar claro el problema

He reinstalado el UBUNTU (pensando que podria haber metido mano al principio en algo que no sabia), de vuelta y es lo mismo (solo segui las instrucciones que me dieron, utilize sudo como usuario y no como super usuario.

no veo para que lo instalaste nuevamente. Lo que tienes que hacer es leer como se realizan las instalaciones de paquetes en linux.

He copiado y pegado la carpeta del programa al escritorio y he revisado el INSTALL, y he llegado hasta el punto tres de esta instruccion:

ahora entiendo. No estabas tratando de instalar desde los repositorios, si no que estabas tratando de instalar un paquete desde las fuentes.

3. compile (esto no tengo idea: compilar que?)

lo que bajaste es el código fuente. Te debería mandar a leer la guía y citarte la famosa "busca en google", pero debo reconocer que eres uno de los únicos novatos que lee el archivo INSTALL, sumaste un punto ;). Además estas en el foro principiante.

En ubuntu puedes instalar paquetes de dos formas. Una de ellas es por medio de internet, mediante el uso de repositorios; o bajando el código fuente del software (software libre), compilarlo y luego instalarlo

no tengo als instrucciones de instalación, pero debería ser

cd /al directorio donde tengas el paquete
./configure
make
sudo make install

si no te pide el ./configure, no lo hagas. Sólo hace make como usuario y luego make install como superusuario. Para hacer esto necesitas el paquete build-essential. ( no sé si viene en la instalación por defeto de Ubuntu)

algunos comentarios.
Trata de ser lo más específico posible. Yo partiría aclarando si ienes o no tienes internet, dices que necesitas instalar el paquete para tener conexión, pero luego dices que el sistema se actualizó desde internet.

Saludos.

----------
Iniciando script....
Generando backup del comentario....
Backup exitoso....
Mirar la Guía Ubuntu y las NORMAS

+1
0
-1

----------
Iniciando script....
Generando backup del comentario....
Backup exitoso....
Mirar la Guía Ubuntu y las NORMAS

Imagen de golfm
+1
0
-1

gracias, por lo del punto, y sumame uno mas porque logre tener internet con una idea genial.

LLame al provedor de servicios y le pedi que cambiara la modalidad VPN que tenia hasta ahora por un autodetect, que me permite "no llamar" para comunicarme, o sea en forma directa desde el modem, asi que clickeo sobre el firefox o cualquier elemento con vinculo a internete y Juass! estoy conectao sin intermediario!!

Asi que ahorita mismo te estoy escribiendo desde mi UBUNTU (libre como un pajaro, chau Bill!!).

Respecto a lo anterior, tengo que probar hacerlo asi, ya que la instruccion dice compilar (make install?) y hacer el fichero instalacion para correrlo.

Saludos

 

+1
0
-1
Imagen de peezawaki
+1
0
-1

Es muy raro todo ésto!

Cito:

"No es posible que en todos los paquetes ocurra lo mismo. Lo peor es que sin pptp o pptpd no puedo instalar internet y ello me priva del 80% de mis probabilidades de instalacion (...)"

Pero bueno!!!!! Cómo vas a poder hacer un update o un install.... si tu ordenador no tiene acceso a Internet? Claro que no hace nada... no se puede descargar los paquetes.

Fijate que los repositorios, usease, de donde saca los paquetes están metidos en la carpeta /etc/apt/ en un archivo llamado sources.list , aquí habrá una serie de direcciones web de donde se baja los paquetes. Lógicamente, sin Internet, no se los podrá bajar.

Por tanto, hay algún problema a la hora de instalar, o bien no has configurado correctamente, ya que aunque no pondría la mano en el fuego, Ubuntu ya da soporte de un buen comienzo a  conexiones de módem, inalámbricas y alámbricas.

Si te conectas a Internet a través de un router, lo normal es que configures el router con tal que te dé acceso a internet directamente...

 

Todo lo que aquí expones, es raro de narices, ayer mismo sin ir mas lejos instalamos una ubuntu con un colega que entiende tanto de ordenadores como yo del cultivo del mejillón salvaje.  Y sin ningún problema. Fíjate bien en las opciones de configuración (Menú Sistema > Administración > Red), y que lo tengas todo en orden. Revísalo a conciencia! (Igual que lo harías en Win o Mac).

Si por algún lado ves algo que se parezca a "lo:" intenta cambiarlo. "lo: significa "loopback" que seria un adaptador de red 'tonto' en cuanto el sistema no encuentra alguno que funcione, ya sea por estar mal configurado o porque no poseas tarjeta de red o wifi.

 

espero que -como siempre digo-, ésto sirva de algo.

saludos! 

+1
0
-1
Imagen de golfm
+1
0
-1

El problema de la configuracion no es simple para mi ya que me conecto con un modem (conectado a una placa de red). Pero no necesito ningun tipo de discado telefonico. A eso le sumo que la coneccion a internet se hace a traves de un minipuerto WAN.

Cuando entro a la configuracion de la placa de red, enseguida me pide un numero de telefono, y ahi muero en el intento, ya que no se como seguir sin el bendito programa pptp

Todo me esta resultando demasiado complicado....

+1
0
-1